Unit tde20e_p;
interface
uses
SysUtils, Math, { Delphi }
Lstruct, Lfunc, UtRes_p, FDE20E_p, DE20E_p;

function tde20e: String;

implementation

function tde20e: String;
var
M,IORDER,IU,JSTART,I,_i,IERR :Integer;
H,XN,HMIN,EPS :Extended;
BUL :Boolean;
RAB :Array [0..115] of Extended;
Y :Array [0..3] of Extended;
DELTY :Array [0..3] of Extended;
YPM :Array [0..3] of Extended;
label
_11;
begin
Result := '';  {   }
M := 4;
IORDER := 6;
IU := 2;
JSTART := 0;
HMIN := 1.e-10;
EPS := 1.e-7;
XN := 0.e0;
Y[0] := 0.09411764706e0;
Y[1] := 0.e0;
Y[2] := 0.e0;
Y[3] := 4.5e0;
H := 0.01e0;
for I:=1 to M do
 begin
_11:
  YPM[I-1] := Y[I-1];
 end;
BUL := False;
DE20E(FDE20E,M,IORDER,IU,JSTART,HMIN,EPS,
     XN,Y,H,BUL,YPM,DELTY,RAB,IERR);
Result := Result + Format('%20.16f ',[XN]) + #$0D#$0A;
Result := Result + #$0D#$0A;
for _i:=0 to 3 do
 begin
  Result := Result + Format('%20.16f ',[Y[_i]]);
  if ( ((_i+1) mod 4)=0 )
   then Result := Result + #$0D#$0A;
 end;
Result := Result + #$0D#$0A;
Result := Result + Format('%20.16f ',[H]) + #$0D#$0A;
Result := Result + #$0D#$0A;
for _i:=0 to 3 do
 begin
  Result := Result + Format('%20.16f ',[YPM[_i]]);
  if ( ((_i+1) mod 4)=0 )
   then Result := Result + #$0D#$0A;
 end;
Result := Result + #$0D#$0A;
Result := Result + #$0D#$0A;
for _i:=0 to 3 do
 begin
  Result := Result + Format('%20.16f ',[DELTY[_i]]);
  if ( ((_i+1) mod 4)=0 )
   then Result := Result + #$0D#$0A;
 end;
Result := Result + #$0D#$0A;
Result := Result + Format('%10d %10d ',[JSTART,IERR]) + #$0D#$0A;
UtRes('tde20e',Result);  {     tde20e.res }
exit;
end;

end.
